### Hierarchy

- ArrayConstructor

## Index

### Methods

- from

## Methods

### from

- from<T>(iterable: Iterable<T> | ArrayLike<T>): T[]
- from<T, U>(iterable: Iterable<T> | ArrayLike<T>, mapfn: function, thisArg?: any): U[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.iterable.d.ts:75

  Creates an array from an iterable object.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### iterable: Iterable<T> | ArrayLike<T>

    An iterable object to convert to an array.

  #### Returns T[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.iterable.d.ts:83

  Creates an array from an iterable object.

  #### Type parameters

  - #### T

  - #### U

  #### Parameters

  - ##### iterable: Iterable<T> | ArrayLike<T>

    An iterable object to convert to an array.

  - ##### mapfn: function

    A mapping function to call on every element of the array.

    - - (v: T, k: number): U

      - #### Parameters

        - ##### v: T

        - ##### k: number

        #### Returns U

  - ##### Optional thisArg: any

    Value of 'this' used to invoke the mapfn.

  #### Returns U[]

Generated using TypeDoc